cURL
curl https://api.apipod.ai/v1/videos/genertions \
-H "Authorization: Bearer $APIPOD_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "minimax-h3-r2v",
"prompt": "A cinematic tracking shot through a rain-soaked neon street, realistic motion, synchronized ambient sound.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"video_urls": [
"https://cdn.example.com/reference.mp4"
],
"audio_urls": [
"https://cdn.example.com/reference.mp3"
],
"resolution": "2K",
"duration": 4,
"aspect_ratio": "adaptive"
}'import os
import requests
payload = {
"model": "minimax-h3-r2v",
"prompt": "A cinematic tracking shot through a rain-soaked neon street, realistic motion, synchronized ambient sound.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"video_urls": [
"https://cdn.example.com/reference.mp4"
],
"audio_urls": [
"https://cdn.example.com/reference.mp3"
],
"resolution": "2K",
"duration": 4,
"aspect_ratio": "adaptive"
}
response = requests.post(
"https://api.apipod.ai/v1/videos/genertions",
headers={
"Authorization": f"Bearer {os.environ['APIPOD_API_KEY']}",
"Content-Type": "application/json",
},
json=payload,
timeout=60,
)
response.raise_for_status()
print(response.json())package main
import (
"bytes"
"encoding/json"
"fmt"
"net/http"
"os"
)
func main() {
payload := map[string]any{}
if err := json.Unmarshal([]byte(`{
"model": "minimax-h3-r2v",
"prompt": "A cinematic tracking shot through a rain-soaked neon street, realistic motion, synchronized ambient sound.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"video_urls": [
"https://cdn.example.com/reference.mp4"
],
"audio_urls": [
"https://cdn.example.com/reference.mp3"
],
"resolution": "2K",
"duration": 4,
"aspect_ratio": "adaptive"
}`), &payload); err != nil {
panic(err)
}
body, err := json.Marshal(payload)
if err != nil {
panic(err)
}
req, err := http.NewRequest(http.MethodPost, "https://api.apipod.ai/v1/videos/genertions", bytes.NewReader(body))
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer "+os.Getenv("APIPOD_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println(resp.Status)
}use reqwest::Client;
use serde_json::json;
use std::env;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let payload = json!({
"model": "minimax-h3-r2v",
"prompt": "A cinematic tracking shot through a rain-soaked neon street, realistic motion, synchronized ambient sound.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"video_urls": [
"https://cdn.example.com/reference.mp4"
],
"audio_urls": [
"https://cdn.example.com/reference.mp3"
],
"resolution": "2K",
"duration": 4,
"aspect_ratio": "adaptive"
});
let response = Client::new()
.post("https://api.apipod.ai/v1/videos/genertions")
.bearer_auth(env::var("APIPOD_API_KEY")?)
.json(&payload)
.send()
.await?
.error_for_status()?;
println!("{}", response.text().await?);
Ok(())
}const response = await fetch("https://api.apipod.ai/v1/videos/genertions", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.APIPOD_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify(
{
"model": "minimax-h3-r2v",
"prompt": "A cinematic tracking shot through a rain-soaked neon street, realistic motion, synchronized ambient sound.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"video_urls": [
"https://cdn.example.com/reference.mp4"
],
"audio_urls": [
"https://cdn.example.com/reference.mp3"
],
"resolution": "2K",
"duration": 4,
"aspect_ratio": "adaptive"
}
),
});
if (!response.ok) {
throw new Error(`APIPod request failed: ${response.status} ${await response.text()}`);
}
console.log(await response.json());{
"code": 200,
"message": "success",
"data": {
"task_id": "vid_task_01JEXAMPLE"
}
}MiniMax H3
MiniMax H3 Reference to Video
MiniMax H3 参考生视频是 MiniMax H3 多模态视频系列的独立模式,组合图片、视频和音频参考素材;APIPod 当前为该系列提供 768P 或 2K、4 至 15 秒的异步生成契约。
POST
https://api.apipod.ai
/
v1
/
videos
/
genertions
cURL
curl https://api.apipod.ai/v1/videos/genertions \
-H "Authorization: Bearer $APIPOD_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "minimax-h3-r2v",
"prompt": "A cinematic tracking shot through a rain-soaked neon street, realistic motion, synchronized ambient sound.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"video_urls": [
"https://cdn.example.com/reference.mp4"
],
"audio_urls": [
"https://cdn.example.com/reference.mp3"
],
"resolution": "2K",
"duration": 4,
"aspect_ratio": "adaptive"
}'import os
import requests
payload = {
"model": "minimax-h3-r2v",
"prompt": "A cinematic tracking shot through a rain-soaked neon street, realistic motion, synchronized ambient sound.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"video_urls": [
"https://cdn.example.com/reference.mp4"
],
"audio_urls": [
"https://cdn.example.com/reference.mp3"
],
"resolution": "2K",
"duration": 4,
"aspect_ratio": "adaptive"
}
response = requests.post(
"https://api.apipod.ai/v1/videos/genertions",
headers={
"Authorization": f"Bearer {os.environ['APIPOD_API_KEY']}",
"Content-Type": "application/json",
},
json=payload,
timeout=60,
)
response.raise_for_status()
print(response.json())package main
import (
"bytes"
"encoding/json"
"fmt"
"net/http"
"os"
)
func main() {
payload := map[string]any{}
if err := json.Unmarshal([]byte(`{
"model": "minimax-h3-r2v",
"prompt": "A cinematic tracking shot through a rain-soaked neon street, realistic motion, synchronized ambient sound.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"video_urls": [
"https://cdn.example.com/reference.mp4"
],
"audio_urls": [
"https://cdn.example.com/reference.mp3"
],
"resolution": "2K",
"duration": 4,
"aspect_ratio": "adaptive"
}`), &payload); err != nil {
panic(err)
}
body, err := json.Marshal(payload)
if err != nil {
panic(err)
}
req, err := http.NewRequest(http.MethodPost, "https://api.apipod.ai/v1/videos/genertions", bytes.NewReader(body))
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer "+os.Getenv("APIPOD_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println(resp.Status)
}use reqwest::Client;
use serde_json::json;
use std::env;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let payload = json!({
"model": "minimax-h3-r2v",
"prompt": "A cinematic tracking shot through a rain-soaked neon street, realistic motion, synchronized ambient sound.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"video_urls": [
"https://cdn.example.com/reference.mp4"
],
"audio_urls": [
"https://cdn.example.com/reference.mp3"
],
"resolution": "2K",
"duration": 4,
"aspect_ratio": "adaptive"
});
let response = Client::new()
.post("https://api.apipod.ai/v1/videos/genertions")
.bearer_auth(env::var("APIPOD_API_KEY")?)
.json(&payload)
.send()
.await?
.error_for_status()?;
println!("{}", response.text().await?);
Ok(())
}const response = await fetch("https://api.apipod.ai/v1/videos/genertions", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.APIPOD_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify(
{
"model": "minimax-h3-r2v",
"prompt": "A cinematic tracking shot through a rain-soaked neon street, realistic motion, synchronized ambient sound.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"video_urls": [
"https://cdn.example.com/reference.mp4"
],
"audio_urls": [
"https://cdn.example.com/reference.mp3"
],
"resolution": "2K",
"duration": 4,
"aspect_ratio": "adaptive"
}
),
});
if (!response.ok) {
throw new Error(`APIPod request failed: ${response.status} ${await response.text()}`);
}
console.log(await response.json());{
"code": 200,
"message": "success",
"data": {
"task_id": "vid_task_01JEXAMPLE"
}
}必须至少提供一种参考素材;图片、视频和音频的数量上限以 API 参数定义为准。
授权
在 Authorization 请求头中使用 Bearer APIPod_API_KEY。
请求体
application/json
APIPod 公开模型 ID。
Allowed value:
"minimax-h3-r2v"生成或编辑指令。 最大字符串长度:7000。 最小字符串长度:1。
视频时长,单位为秒。 最小值:4。 最大值:15。
可公开访问的源图片或参考图 URL。
可公开访问的参考视频 URL。
可公开访问的参考音频 URL。
视频分辨率,可选 768P 或 2K。
可用选项:
768P, 2K 输出宽高比。
可用选项:
adaptive, 21:9, 16:9, 4:3, 1:1, 3:4, 9:16 ⌘I